Loading...
Searching...
No Matches
options.h File Reference
`#include "misc/auxiliary.h"`

Go to the source code of this file.

## Macros

#define | SI_SAVE_OPT(A, B)
#define | SI_SAVE_OPT1(A)
#define | SI_SAVE_OPT2(A)
#define | SI_RESTORE_OPT(A, B)
#define | SI_RESTORE_OPT1(A)
#define | SI_RESTORE_OPT2(A)
#define | Sy_bit(x)
#define | Sy_bitL(x)
#define | Sy_inset(x, s)
#define | BTEST1(a)
#define | BVERBOSE(a)
#define | V_QUIET 0
#define | V_QRING 1
#define | V_SHOW_MEM 2
#define | V_YACC 3
#define | V_REDEFINE 4
#define | V_READING 5
#define | V_LOAD_LIB 6
#define | V_DEBUG_LIB 7
#define | V_LOAD_PROC 8
#define | V_DEF_RES 9
#define | V_SHOW_USE 11
#define | V_IMAP 12
#define | V_PROMPT 13
#define | V_NSB 14
#define | V_CONTENTSB 15
#define | V_CANCELUNIT 16
#define | V_MODPSOLVSB 17
#define | V_UPTORADICAL 18
#define | V_FINDMONOM 19
#define | V_COEFSTRAT 20
#define | V_IDLIFT 21
#define | V_LENGTH 22
#define | V_ALLWARN 24
#define | V_INTERSECT_ELIM 25
#define | V_INTERSECT_SYZ 26
#define | V_ASSIGN_NONE 27
#define | V_PURE_GB 28
#define | V_DEG_STOP 31
#define | OPT_PROT 0
#define | OPT_REDSB 1
#define | OPT_NOT_BUCKETS 2
#define | OPT_NOT_SUGAR 3
#define | OPT_INTERRUPT 4
#define | OPT_SUGARCRIT 5
#define | OPT_DEBUG 6
#define | OPT_REDTHROUGH 7
#define | OPT_NO_SYZ_MINIM 8
#define | OPT_RETURN_SB 9
#define | OPT_FASTHC 10
#define | OPT_OLDSTD 20
#define | OPT_REDTAIL_SYZ 21
#define | OPT_STAIRCASEBOUND 22
#define | OPT_MULTBOUND 23
#define | OPT_DEGBOUND 24
#define | OPT_REDTAIL 25
#define | OPT_INTSTRATEGY 26
#define | OPT_FINDET 27
#define | OPT_INFREDTAIL 28
#define | OPT_SB_1 29
#define | OPT_NOTREGULARITY 30
#define | OPT_WEIGHTM 31
#define | TEST_RINGDEP_OPTS
#define | TEST_OPT_PROT BTEST1(OPT_PROT)
#define | TEST_OPT_REDSB BTEST1(OPT_REDSB)
#define | TEST_OPT_NOT_BUCKETS BTEST1(OPT_NOT_BUCKETS)
#define | TEST_OPT_NOT_SUGAR BTEST1(OPT_NOT_SUGAR)
#define | TEST_OPT_SUGARCRIT BTEST1(OPT_SUGARCRIT)
#define | TEST_OPT_DEBUG BTEST1(OPT_DEBUG)
#define | TEST_OPT_FASTHC BTEST1(OPT_FASTHC)
#define | TEST_OPT_INTSTRATEGY BTEST1(OPT_INTSTRATEGY)
#define | TEST_OPT_FINDET BTEST1(OPT_FINDET)
#define | TEST_OPT_RETURN_SB BTEST1(OPT_RETURN_SB)
#define | TEST_OPT_DEGBOUND BTEST1(OPT_DEGBOUND)
#define | TEST_OPT_MULTBOUND BTEST1(OPT_MULTBOUND)
#define | TEST_OPT_STAIRCASEBOUND BTEST1(OPT_STAIRCASEBOUND)
#define | TEST_OPT_REDTAIL BTEST1(OPT_REDTAIL)
#define | TEST_OPT_REDTAIL_SYZ BTEST1(OPT_REDTAIL_SYZ)
#define | TEST_OPT_INFREDTAIL BTEST1(OPT_INFREDTAIL)
#define | TEST_OPT_SB_1 BTEST1(OPT_SB_1)
#define | TEST_OPT_NOTREGULARITY BTEST1(OPT_NOTREGULARITY)
#define | TEST_OPT_WEIGHTM BTEST1(OPT_WEIGHTM)
#define | TEST_OPT_REDTHROUGH BTEST1(OPT_REDTHROUGH)
#define | TEST_OPT_OLDSTD BTEST1(OPT_OLDSTD)
#define | TEST_OPT_NO_SYZ_MINIM BTEST1(OPT_NO_SYZ_MINIM)
#define | TEST_OPT_CONTENTSB BVERBOSE(V_CONTENTSB)
#define | TEST_OPT_CANCELUNIT BVERBOSE(V_CANCELUNIT)
#define | TEST_OPT_IDLIFT BVERBOSE(V_IDLIFT)
#define | TEST_OPT_LENGTH BVERBOSE(V_LENGTH)
#define | TEST_V_QRING BVERBOSE(V_QRING)
#define | TEST_V_NSB BVERBOSE(V_NSB)
#define | TEST_V_QUIET BVERBOSE(V_QUIET)
#define | TEST_V_ASSIGN_NONE BVERBOSE(V_ASSIGN_NONE)
#define | TEST_V_PURE_GB BVERBOSE(V_PURE_GB)
#define | TEST_VERB_NSB BVERBOSE(V_NSB)
#define | TEST_V_DEG_STOP BVERBOSE(V_DEG_STOP)
#define | TEST_V_MODPSOLVSB BVERBOSE(V_MODPSOLVSB)
#define | TEST_V_COEFSTRAT BVERBOSE(V_COEFSTRAT)
#define | TEST_V_UPTORADICAL BVERBOSE(V_UPTORADICAL)
#define | TEST_V_FINDMONOM BVERBOSE(V_FINDMONOM)
#define | TEST_V_ALLWARN BVERBOSE(V_ALLWARN)
#define | TEST_V_INTERSECT_ELIM BVERBOSE(V_INTERSECT_ELIM)
#define | TEST_V_INTERSECT_SYZ BVERBOSE(V_INTERSECT_SYZ)

## Variables

VAR BITSET | si_opt_1
VAR BITSET | si_opt_2
EXTERN_VAR BOOLEAN | siCntrlc

## Macro Definition Documentation

## BTEST1

#define BTEST1 | ( |  | a | ) |

Value:
Sy_inset((a), si_opt_1)
si_opt_1
VAR unsigned si_opt_1
Definition options.c:5
Sy_inset
#define Sy_inset(x, s)
Definition options.h:33

Definition at line 34 of file options.h.

## BVERBOSE

#define BVERBOSE | ( |  | a | ) |

Value:
Sy_inset((a), si_opt_2)
si_opt_2
VAR unsigned si_opt_2
Definition options.c:6

Definition at line 35 of file options.h.

## OPT_DEBUG

#define OPT_DEBUG 6

Definition at line 82 of file options.h.

## OPT_DEGBOUND

#define OPT_DEGBOUND 24

Definition at line 91 of file options.h.

## OPT_FASTHC

#define OPT_FASTHC 10

Definition at line 86 of file options.h.

## OPT_FINDET

#define OPT_FINDET 27

Definition at line 94 of file options.h.

## OPT_INFREDTAIL

#define OPT_INFREDTAIL 28

Definition at line 95 of file options.h.

## OPT_INTERRUPT

#define OPT_INTERRUPT 4

Definition at line 80 of file options.h.

## OPT_INTSTRATEGY

#define OPT_INTSTRATEGY 26

Definition at line 93 of file options.h.

## OPT_MULTBOUND

#define OPT_MULTBOUND 23

Definition at line 90 of file options.h.

## OPT_NO_SYZ_MINIM

#define OPT_NO_SYZ_MINIM 8

Definition at line 84 of file options.h.

## OPT_NOT_BUCKETS

#define OPT_NOT_BUCKETS 2

Definition at line 78 of file options.h.

## OPT_NOT_SUGAR

#define OPT_NOT_SUGAR 3

Definition at line 79 of file options.h.

## OPT_NOTREGULARITY

#define OPT_NOTREGULARITY 30

Definition at line 97 of file options.h.

## OPT_OLDSTD

#define OPT_OLDSTD 20

Definition at line 87 of file options.h.

## OPT_PROT

#define OPT_PROT 0

Definition at line 76 of file options.h.

## OPT_REDSB

#define OPT_REDSB 1

Definition at line 77 of file options.h.

## OPT_REDTAIL

#define OPT_REDTAIL 25

Definition at line 92 of file options.h.

## OPT_REDTAIL_SYZ

#define OPT_REDTAIL_SYZ 21

Definition at line 88 of file options.h.

## OPT_REDTHROUGH

#define OPT_REDTHROUGH 7

Definition at line 83 of file options.h.

## OPT_RETURN_SB

#define OPT_RETURN_SB 9

Definition at line 85 of file options.h.

## OPT_SB_1

#define OPT_SB_1 29

Definition at line 96 of file options.h.

## OPT_STAIRCASEBOUND

#define OPT_STAIRCASEBOUND 22

Definition at line 89 of file options.h.

## OPT_SUGARCRIT

#define OPT_SUGARCRIT 5

Definition at line 81 of file options.h.

## OPT_WEIGHTM

#define OPT_WEIGHTM 31

Definition at line 98 of file options.h.

## SI_RESTORE_OPT

#define SI_RESTORE_OPT | ( |  | A,
|  |  | B )

Value:
{ si_opt_1=A; si_opt_2=B; }
B
b *CanonicalForm B
Definition facBivar.cc:52
A
#define A
Definition sirandom.c:24

Definition at line 23 of file options.h.

## SI_RESTORE_OPT1

#define SI_RESTORE_OPT1 | ( |  | A | ) |

Value:
{ si_opt_1=A; }

Definition at line 24 of file options.h.

## SI_RESTORE_OPT2

#define SI_RESTORE_OPT2 | ( |  | A | ) |

Value:
{ si_opt_2=A; }

Definition at line 25 of file options.h.

## SI_SAVE_OPT

#define SI_SAVE_OPT | ( |  | A,
|  |  | B )

Value:
{ A=si_opt_1; B=si_opt_2; }

Definition at line 20 of file options.h.

## SI_SAVE_OPT1

#define SI_SAVE_OPT1 | ( |  | A | ) |

Value:
{ A=si_opt_1; }

Definition at line 21 of file options.h.

## SI_SAVE_OPT2

#define SI_SAVE_OPT2 | ( |  | A | ) |

Value:
{ A=si_opt_2; }

Definition at line 22 of file options.h.

## Sy_bit

#define Sy_bit | ( |  | x | ) |

Value:
((unsigned)1<<(x))
x
Variable x
Definition cfModGcd.cc:4090

Definition at line 31 of file options.h.

## Sy_bitL

#define Sy_bitL | ( |  | x | ) |

Value:
((unsigned long)1L<<(x))

Definition at line 32 of file options.h.

## Sy_inset

#define Sy_inset | ( |  | x,
|  |  | s )

Value:
((Sy_bit(x)&(s))?TRUE:FALSE)
TRUE
#define TRUE
Definition auxiliary.h:101
FALSE
#define FALSE
Definition auxiliary.h:97
s
const CanonicalForm int s
Definition facAbsFact.cc:51
Sy_bit
#define Sy_bit(x)
Definition options.h:31

Definition at line 33 of file options.h.

## TEST_OPT_CANCELUNIT

#define TEST_OPT_CANCELUNIT BVERBOSE(V_CANCELUNIT)

Definition at line 130 of file options.h.

## TEST_OPT_CONTENTSB

#define TEST_OPT_CONTENTSB BVERBOSE(V_CONTENTSB)

Definition at line 129 of file options.h.

## TEST_OPT_DEBUG

#define TEST_OPT_DEBUG BTEST1(OPT_DEBUG)

Definition at line 110 of file options.h.

## TEST_OPT_DEGBOUND

#define TEST_OPT_DEGBOUND BTEST1(OPT_DEGBOUND)

Definition at line 115 of file options.h.

## TEST_OPT_FASTHC

#define TEST_OPT_FASTHC BTEST1(OPT_FASTHC)

Definition at line 111 of file options.h.

## TEST_OPT_FINDET

#define TEST_OPT_FINDET BTEST1(OPT_FINDET)

Definition at line 113 of file options.h.

## TEST_OPT_IDLIFT

#define TEST_OPT_IDLIFT BVERBOSE(V_IDLIFT)

Definition at line 131 of file options.h.

## TEST_OPT_INFREDTAIL

#define TEST_OPT_INFREDTAIL BTEST1(OPT_INFREDTAIL)

Definition at line 120 of file options.h.

## TEST_OPT_INTSTRATEGY

#define TEST_OPT_INTSTRATEGY BTEST1(OPT_INTSTRATEGY)

Definition at line 112 of file options.h.

## TEST_OPT_LENGTH

#define TEST_OPT_LENGTH BVERBOSE(V_LENGTH)

Definition at line 132 of file options.h.

## TEST_OPT_MULTBOUND

#define TEST_OPT_MULTBOUND BTEST1(OPT_MULTBOUND)

Definition at line 116 of file options.h.

## TEST_OPT_NO_SYZ_MINIM

#define TEST_OPT_NO_SYZ_MINIM BTEST1(OPT_NO_SYZ_MINIM)

Definition at line 126 of file options.h.

## TEST_OPT_NOT_BUCKETS

#define TEST_OPT_NOT_BUCKETS BTEST1(OPT_NOT_BUCKETS)

Definition at line 107 of file options.h.

## TEST_OPT_NOT_SUGAR

#define TEST_OPT_NOT_SUGAR BTEST1(OPT_NOT_SUGAR)

Definition at line 108 of file options.h.

## TEST_OPT_NOTREGULARITY

#define TEST_OPT_NOTREGULARITY BTEST1(OPT_NOTREGULARITY)

Definition at line 122 of file options.h.

## TEST_OPT_OLDSTD

#define TEST_OPT_OLDSTD BTEST1(OPT_OLDSTD)

Definition at line 125 of file options.h.

## TEST_OPT_PROT

#define TEST_OPT_PROT BTEST1(OPT_PROT)

Definition at line 105 of file options.h.

## TEST_OPT_REDSB

#define TEST_OPT_REDSB BTEST1(OPT_REDSB)

Definition at line 106 of file options.h.

## TEST_OPT_REDTAIL

#define TEST_OPT_REDTAIL BTEST1(OPT_REDTAIL)

Definition at line 118 of file options.h.

## TEST_OPT_REDTAIL_SYZ

#define TEST_OPT_REDTAIL_SYZ BTEST1(OPT_REDTAIL_SYZ)

Definition at line 119 of file options.h.

## TEST_OPT_REDTHROUGH

#define TEST_OPT_REDTHROUGH BTEST1(OPT_REDTHROUGH)

Definition at line 124 of file options.h.

## TEST_OPT_RETURN_SB

#define TEST_OPT_RETURN_SB BTEST1(OPT_RETURN_SB)

Definition at line 114 of file options.h.

## TEST_OPT_SB_1

#define TEST_OPT_SB_1 BTEST1(OPT_SB_1)

Definition at line 121 of file options.h.

## TEST_OPT_STAIRCASEBOUND

#define TEST_OPT_STAIRCASEBOUND BTEST1(OPT_STAIRCASEBOUND)

Definition at line 117 of file options.h.

## TEST_OPT_SUGARCRIT

#define TEST_OPT_SUGARCRIT BTEST1(OPT_SUGARCRIT)

Definition at line 109 of file options.h.

## TEST_OPT_WEIGHTM

#define TEST_OPT_WEIGHTM BTEST1(OPT_WEIGHTM)

Definition at line 123 of file options.h.

## TEST_RINGDEP_OPTS

#define TEST_RINGDEP_OPTS

Value:
(Sy_bit(OPT_INTSTRATEGY) | Sy_bit(OPT_REDTHROUGH) | Sy_bit(OPT_REDTAIL) \
| Sy_bit(OPT_REDTAIL_SYZ))
OPT_INTSTRATEGY
#define OPT_INTSTRATEGY
Definition options.h:93
OPT_REDTAIL_SYZ
#define OPT_REDTAIL_SYZ
Definition options.h:88
OPT_REDTAIL
#define OPT_REDTAIL
Definition options.h:92
OPT_REDTHROUGH
#define OPT_REDTHROUGH
Definition options.h:83

Definition at line 101 of file options.h.

#define TEST_RINGDEP_OPTS \
(Sy_bit(OPT_INTSTRATEGY) | Sy_bit(OPT_REDTHROUGH) | Sy_bit(OPT_REDTAIL) \
| Sy_bit(OPT_REDTAIL_SYZ))

## TEST_V_ALLWARN

#define TEST_V_ALLWARN BVERBOSE(V_ALLWARN)

Definition at line 145 of file options.h.

## TEST_V_ASSIGN_NONE

#define TEST_V_ASSIGN_NONE BVERBOSE(V_ASSIGN_NONE)

Definition at line 136 of file options.h.

## TEST_V_COEFSTRAT

#define TEST_V_COEFSTRAT BVERBOSE(V_COEFSTRAT)

Definition at line 142 of file options.h.

## TEST_V_DEG_STOP

#define TEST_V_DEG_STOP BVERBOSE(V_DEG_STOP)

Definition at line 140 of file options.h.

## TEST_V_FINDMONOM

#define TEST_V_FINDMONOM BVERBOSE(V_FINDMONOM)

Definition at line 144 of file options.h.

## TEST_V_INTERSECT_ELIM

#define TEST_V_INTERSECT_ELIM BVERBOSE(V_INTERSECT_ELIM)

Definition at line 146 of file options.h.

## TEST_V_INTERSECT_SYZ

#define TEST_V_INTERSECT_SYZ BVERBOSE(V_INTERSECT_SYZ)

Definition at line 147 of file options.h.

## TEST_V_MODPSOLVSB

#define TEST_V_MODPSOLVSB BVERBOSE(V_MODPSOLVSB)

Definition at line 141 of file options.h.

## TEST_V_NSB

#define TEST_V_NSB BVERBOSE(V_NSB)

Definition at line 134 of file options.h.

## TEST_V_PURE_GB

#define TEST_V_PURE_GB BVERBOSE(V_PURE_GB)

Definition at line 137 of file options.h.

## TEST_V_QRING

#define TEST_V_QRING BVERBOSE(V_QRING)

Definition at line 133 of file options.h.

## TEST_V_QUIET

#define TEST_V_QUIET BVERBOSE(V_QUIET)

Definition at line 135 of file options.h.

## TEST_V_UPTORADICAL

#define TEST_V_UPTORADICAL BVERBOSE(V_UPTORADICAL)

Definition at line 143 of file options.h.

## TEST_VERB_NSB

#define TEST_VERB_NSB BVERBOSE(V_NSB)

Definition at line 139 of file options.h.

## V_ALLWARN

#define V_ALLWARN 24

Definition at line 67 of file options.h.

## V_ASSIGN_NONE

#define V_ASSIGN_NONE 27

Definition at line 70 of file options.h.

## V_CANCELUNIT

#define V_CANCELUNIT 16

Definition at line 57 of file options.h.

## V_COEFSTRAT

#define V_COEFSTRAT 20

Definition at line 61 of file options.h.

## V_CONTENTSB

#define V_CONTENTSB 15

Definition at line 56 of file options.h.

## V_DEBUG_LIB

#define V_DEBUG_LIB 7

Definition at line 48 of file options.h.

## V_DEF_RES

#define V_DEF_RES 9

Definition at line 50 of file options.h.

## V_DEG_STOP

#define V_DEG_STOP 31

Definition at line 73 of file options.h.

## V_FINDMONOM

#define V_FINDMONOM 19

Definition at line 60 of file options.h.

## V_IDLIFT

#define V_IDLIFT 21

Definition at line 63 of file options.h.

## V_IMAP

#define V_IMAP 12

Definition at line 53 of file options.h.

## V_INTERSECT_ELIM

#define V_INTERSECT_ELIM 25

Definition at line 68 of file options.h.

## V_INTERSECT_SYZ

#define V_INTERSECT_SYZ 26

Definition at line 69 of file options.h.

## V_LENGTH

#define V_LENGTH 22

Definition at line 64 of file options.h.

## V_LOAD_LIB

#define V_LOAD_LIB 6

Definition at line 47 of file options.h.

## V_LOAD_PROC

#define V_LOAD_PROC 8

Definition at line 49 of file options.h.

## V_MODPSOLVSB

#define V_MODPSOLVSB 17

Definition at line 58 of file options.h.

## V_NSB

#define V_NSB 14

Definition at line 55 of file options.h.

## V_PROMPT

#define V_PROMPT 13

Definition at line 54 of file options.h.

## V_PURE_GB

#define V_PURE_GB 28

Definition at line 71 of file options.h.

## V_QRING

#define V_QRING 1

Definition at line 42 of file options.h.

## V_QUIET

#define V_QUIET 0

Definition at line 41 of file options.h.

## V_READING

#define V_READING 5

Definition at line 46 of file options.h.

## V_REDEFINE

#define V_REDEFINE 4

Definition at line 45 of file options.h.

## V_SHOW_MEM

#define V_SHOW_MEM 2

Definition at line 43 of file options.h.

## V_SHOW_USE

#define V_SHOW_USE 11

Definition at line 52 of file options.h.

## V_UPTORADICAL

#define V_UPTORADICAL 18

Definition at line 59 of file options.h.

## V_YACC

#define V_YACC 3

Definition at line 44 of file options.h.

## Variable Documentation

## si_opt_1

VAR BITSET si_opt_1

Definition at line 13 of file options.h.

## si_opt_2

VAR BITSET si_opt_2

Definition at line 14 of file options.h.

## siCntrlc

EXTERN_VAR BOOLEAN siCntrlc

Definition at line 19 of file options.h.